#include<bits/stdc++.h>
using namespace std;
bool surge(int a[],int l,int r)
{
    int br=0;
    for(int i=l+1; i<r; i++)
    {
        if(a[i]<=a[r] || a[i]<=a[l])
        {
            br++;
        }
        else
        {
            break;
        }
    }
    if(br==r-l-1)
    {
        return true;
    }
    else
    {
        return false;
    }

}
int main()
{
    int n,br1=0;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(surge(a,i,j))
            {
                br1++;
            }
        }
    }
    cout<<br1;
}
